<?php

namespace Litecms\Zingapp\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CuisineTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_zingapp_cuisines')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.zingapp.cuisine.view',
                'name'      => 'View Cuisine',
            ],
            [
                'slug'      => 'litecms.zingapp.cuisine.create',
                'name'      => 'Create Cuisine',
            ],
            [
                'slug'      => 'litecms.zingapp.cuisine.edit',
                'name'      => 'Update Cuisine',
            ],
            [
                'slug'      => 'litecms.zingapp.cuisine.delete',
                'name'      => 'Delete Cuisine',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/zingapp/cuisine',
                'name'        => 'Cuisine',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/zingapp/cuisine',
                'name'        => 'Cuisine',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'cuisine',
                'name'        => 'Cuisine',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Zingapp',
                'module'    => 'Cuisine',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.zingapp.cuisine.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
