<?php

namespace Litecms\Zingapp\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litepie\Actions\Traits\LogsActions;
use Litepie\Notification\Traits\SendNotification;
use Litecms\Zingapp\Models\Cuisine;


class CuisineAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.zingapp.cuisine';
    protected $eventClass = \Litecms\Zingapp\Events\CuisineAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Cuisine $cuisine, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $cuisine;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Cuisine $cuisine, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $cuisine = $cuisine->create($attributes);
        return $cuisine;
    }

    public function update(Cuisine $cuisine, array $request)
    {
        $attributes = $request;
        $cuisine->update($attributes);
        return $cuisine;
    }

    public function destroy(Cuisine $cuisine, array $request)
    {
        $cuisine->delete();
        return $cuisine;
    }

    public function copy(Cuisine $cuisine, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $cuisine = $cuisine->replicate();
            $cuisine->created_at = Carbon::now();
            $cuisine->save();
            return $cuisine;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $cuisine->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $cuisine;
    }


}
